using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class studyAddField : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "DeviceSerialNumber",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DeviceUID",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Manufacturer",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ManufacturerModelName",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PatientWeight",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SoftwareVersions",
                table: "TaskStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "AcquisitionDate",
                table: "TaskSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RadiopharmaceuticalInformationSequence",
                table: "TaskSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<int>(
                name: "BitsAllocated",
                table: "TaskInstance",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "CorrectedImage",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DecayCorrection",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "EncapsulatedDocument",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "FrameTime",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImageOrientationPatient",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImagePositionPatient",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PhotometricInterpretation",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PixelRepresentation",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RescaleIntercept",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RescaleSlope",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SequenceOfUltrasoundRegions",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Units",
                table: "TaskInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DeviceSerialNumber",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DeviceUID",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Manufacturer",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ManufacturerModelName",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PatientWeight",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SoftwareVersions",
                table: "SCPStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "AcquisitionDate",
                table: "SCPSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RadiopharmaceuticalInformationSequence",
                table: "SCPSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<int>(
                name: "BitsAllocated",
                table: "SCPInstance",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "CorrectedImage",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DecayCorrection",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "EncapsulatedDocument",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "FrameTime",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImageOrientationPatient",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImagePositionPatient",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PhotometricInterpretation",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PixelRepresentation",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RescaleIntercept",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RescaleSlope",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SequenceOfUltrasoundRegions",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Units",
                table: "SCPInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DeviceSerialNumber",
                table: "DicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DeviceUID",
                table: "DicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Manufacturer",
                table: "DicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ManufacturerModelName",
                table: "DicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PatientWeight",
                table: "DicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SoftwareVersions",
                table: "DicomStudy",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "AcquisitionDate",
                table: "DicomSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RadiopharmaceuticalInformationSequence",
                table: "DicomSeries",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<int>(
                name: "BitsAllocated",
                table: "DicomInstance",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "CorrectedImage",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "DecayCorrection",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "EncapsulatedDocument",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "FrameTime",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImageOrientationPatient",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImagePositionPatient",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PhotometricInterpretation",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PixelRepresentation",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RescaleIntercept",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "RescaleSlope",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "SequenceOfUltrasoundRegions",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Units",
                table: "DicomInstance",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DeviceSerialNumber",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "DeviceUID",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "Manufacturer",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "ManufacturerModelName",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "PatientWeight",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "SoftwareVersions",
                table: "TaskStudy");

            migrationBuilder.DropColumn(
                name: "AcquisitionDate",
                table: "TaskSeries");

            migrationBuilder.DropColumn(
                name: "RadiopharmaceuticalInformationSequence",
                table: "TaskSeries");

            migrationBuilder.DropColumn(
                name: "BitsAllocated",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "CorrectedImage",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "DecayCorrection",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "EncapsulatedDocument",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "FrameTime",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "ImageOrientationPatient",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "ImagePositionPatient",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "PhotometricInterpretation",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "PixelRepresentation",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "RescaleIntercept",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "RescaleSlope",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "SequenceOfUltrasoundRegions",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "Units",
                table: "TaskInstance");

            migrationBuilder.DropColumn(
                name: "DeviceSerialNumber",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "DeviceUID",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "Manufacturer",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "ManufacturerModelName",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "PatientWeight",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "SoftwareVersions",
                table: "SCPStudy");

            migrationBuilder.DropColumn(
                name: "AcquisitionDate",
                table: "SCPSeries");

            migrationBuilder.DropColumn(
                name: "RadiopharmaceuticalInformationSequence",
                table: "SCPSeries");

            migrationBuilder.DropColumn(
                name: "BitsAllocated",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "CorrectedImage",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "DecayCorrection",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "EncapsulatedDocument",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "FrameTime",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "ImageOrientationPatient",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "ImagePositionPatient",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "PhotometricInterpretation",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "PixelRepresentation",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "RescaleIntercept",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "RescaleSlope",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "SequenceOfUltrasoundRegions",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "Units",
                table: "SCPInstance");

            migrationBuilder.DropColumn(
                name: "DeviceSerialNumber",
                table: "DicomStudy");

            migrationBuilder.DropColumn(
                name: "DeviceUID",
                table: "DicomStudy");

            migrationBuilder.DropColumn(
                name: "Manufacturer",
                table: "DicomStudy");

            migrationBuilder.DropColumn(
                name: "ManufacturerModelName",
                table: "DicomStudy");

            migrationBuilder.DropColumn(
                name: "PatientWeight",
                table: "DicomStudy");

            migrationBuilder.DropColumn(
                name: "SoftwareVersions",
                table: "DicomStudy");

            migrationBuilder.DropColumn(
                name: "AcquisitionDate",
                table: "DicomSeries");

            migrationBuilder.DropColumn(
                name: "RadiopharmaceuticalInformationSequence",
                table: "DicomSeries");

            migrationBuilder.DropColumn(
                name: "BitsAllocated",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "CorrectedImage",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "DecayCorrection",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "EncapsulatedDocument",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "FrameTime",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "ImageOrientationPatient",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "ImagePositionPatient",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "PhotometricInterpretation",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "PixelRepresentation",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "RescaleIntercept",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "RescaleSlope",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "SequenceOfUltrasoundRegions",
                table: "DicomInstance");

            migrationBuilder.DropColumn(
                name: "Units",
                table: "DicomInstance");
        }
    }
}
